### Name: MU.poly.generator
### Title: Divide the landscape into management units (MUs) based on the MU
###   membership of the sampling polygons
### Aliases: MU.poly.generator
### Keywords: internal

### ** Examples

# In this example, run.tossm is used with the BSA set to hyptest.network.BSA, 
#which uses MU.poly.generator to return management unit polygons. 
#For details on the two functions, see their code.

#set up sampling and management schedule using def.make.schedule
schedule=def.make.schedule(n.pre.RMP=5,n.RMP=10,n.post.RMP=5,abund.gap=2)

#specify historic removals from each historic harvest area for 5 pre-modern
#management years
removals.h1<-rep(75,5)
removals.h2<-rep(0,5)
historic.removals<-cbind(removals.h1,removals.h2)

example<-run.tossm(rland = example.landscape, bp.polys=example.bp.polys,
schedule = schedule,n.samples = 25, sample.polys=example.sample.polys, 
historic.removals=historic.removals,historic.polys = example.historic.polys, 
BSA = hyptest.network.BSA, BSA.args = list(sig.level=.05),
harvest.interval=10)



