### Name: run.tossm
### Title: Simulate harvest of a spatially structured population
### Aliases: run.tossm
### Keywords: internal

### ** Examples


#set up sampling and management schedule using def.make.schedule
schedule=def.make.schedule(n.pre.RMP=5,n.RMP=10,n.post.RMP=5,abund.gap=2)

#Example 1: Use initial.depletion to specify pre-modern management depletion
example1<-run.tossm(rland = example.landscape, bp.polys=example.bp.polys,
schedule = schedule,n.samples = 25, sample.polys=example.sample.polys, 
initial.depletion=.30,historic.removals=NULL, 
BSA = fixed.MU.BSA, BSA.args = list(n.mus=5),harvest.interval=10,plot.polys=TRUE)

## Not run: 
##D #Example 2: Use historic.removals to specify pre-modern management depletion
##D 
##D #specify historic removals from each historic harvest area for 10 pre-modern
##D #management years
##D removals.h1<-rep(75,5)
##D removals.h2<-rep(0,5)
##D historic.removals<-cbind(removals.h1,removals.h2)
##D 
##D example2<-run.tossm(rland = example.landscape, bp.polys=example.bp.polys,
##D schedule = schedule,n.samples = 25, sample.polys=example.sample.polys, 
##D historic.removals=historic.removals,historic.polys = example.historic.polys, 
##D BSA = fixed.MU.BSA, BSA.args = list(n.mus=5),harvest.interval=10,plot.polys=T)
##D 
## End(Not run)



